"""remove cache_host, cache_ip and install_redis from AppConfiguration

Revision ID: 6f0d7d321e8b
Revises: edb3a875fde8
Create Date: 2019-03-15 16:21:02.126710

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6f0d7d321e8b'
down_revision = 'edb3a875fde8'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('appconfig', schema=None) as batch_op:
        batch_op.drop_column('install_redis')
        batch_op.drop_column('cache_host')
        batch_op.drop_column('cache_ip')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('appconfig', schema=None) as batch_op:
        batch_op.add_column(sa.Column('cache_ip', sa.VARCHAR(length=50), nullable=True))
        batch_op.add_column(sa.Column('cache_host', sa.VARCHAR(length=50), nullable=True))
        batch_op.add_column(sa.Column('install_redis', sa.BOOLEAN(), nullable=True))

    # ### end Alembic commands ###
